Bug 199570 - stack smashing detected
stack smashing detected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 10:11 EDT by David L.
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:40:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David L. 2006-07-20 10:11:41 EDT
Description of problem:
firefox keeps crashing

Version-Release number of selected component (if applicable):
1.5.0.4

How reproducible: happens frequently for me, but no specific series of steps
always produces it.  Seems to happen most often when I'm in Mantis bug tracking
dialog boxes when I switch workspaces, but I'm not sure if that's just a
coincidence.


Steps to Reproduce:
1. ?
2.
3.
  
Actual results:
crashes with message:
*** stack smashing detected ***: /usr/lib/firefox-1.5.0.4/firefox-bin terminated


Expected results:
doesn't crash.

Additional info:
Comment 1 Itamar Reis Peixoto 2007-07-12 21:57:49 EDT
I am receiving this error but in php running as fastcgi in lighttpd

*** stack smashing detected ***: /usr/bin/php-cgi terminated
*** stack smashing detected ***: /usr/bin/php-cgi terminated

version -> php-5.2.3-1.fc7

Comment 2 Matěj Cepl 2007-07-18 13:29:19 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 10:40:43 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.
Comment 4 David L. 2007-09-25 13:46:20 EDT
I saw a problem with the same signature in fc6 several times.  I haven't
confirmed that the stack smashing was what caused the crashes, but I've seen
firefox die for no good reason while editing a trac wiki page.

Note You need to log in before you can comment on or make changes to this bug.